summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-11-29 09:16:59 +0100
committerMichał Górny <mgorny@gentoo.org>2015-11-29 09:19:16 +0100
commit5f359655316bd5d4e90fdb323502e7c972af28a7 (patch)
treec30d70d87edcbdbe3a68e9ac21dcc741e721b1da /eclass/python-utils-r1.eclass
parentapp-emulation/xen-tools: clean old vns.: 4.5.1-r3, 4.6.0-r1 (diff)
downloadgentoo-5f359655316bd5d4e90fdb323502e7c972af28a7.tar.gz
gentoo-5f359655316bd5d4e90fdb323502e7c972af28a7.tar.bz2
gentoo-5f359655316bd5d4e90fdb323502e7c972af28a7.zip
python-utils-r1.eclass: Reduce python_do*/new* ban to EAPI < 4
Fix python_do* and python_new* helper ban to EAPIs older than 4. That was the original intent, and restricting it to 5+ breaks old dev-lang/python ebuilds.
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass12
1 files changed, 6 insertions, 6 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 13e9d38c4ec..3dfac9ed008 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -666,8 +666,8 @@ python_newexe() {
[[ ${EPYTHON} ]] || die 'No Python implementation set (EPYTHON is null).'
[[ ${#} -eq 2 ]] || die "Usage: ${FUNCNAME} <path> <new-name>"
- if [[ ${EAPI:-0} == [01234] ]]; then
- die "python_do* and python_new* helpers are banned in EAPIs older than 5."
+ if [[ ${EAPI:-0} == [0123] ]]; then
+ die "python_do* and python_new* helpers are banned in EAPIs older than 4."
fi
local wrapd=${python_scriptroot:-${DESTTREE}/bin}
@@ -796,8 +796,8 @@ python_domodule() {
debug-print-function ${FUNCNAME} "${@}"
[[ ${EPYTHON} ]] || die 'No Python implementation set (EPYTHON is null).'
- if [[ ${EAPI:-0} == [01234] ]]; then
- die "python_do* and python_new* helpers are banned in EAPIs older than 5."
+ if [[ ${EAPI:-0} == [0123] ]]; then
+ die "python_do* and python_new* helpers are banned in EAPIs older than 4."
fi
local d
@@ -837,8 +837,8 @@ python_doheader() {
debug-print-function ${FUNCNAME} "${@}"
[[ ${EPYTHON} ]] || die 'No Python implementation set (EPYTHON is null).'
- if [[ ${EAPI:-0} == [01234] ]]; then
- die "python_do* and python_new* helpers are banned in EAPIs older than 5."
+ if [[ ${EAPI:-0} == [0123] ]]; then
+ die "python_do* and python_new* helpers are banned in EAPIs older than 4."
fi
local d PYTHON_INCLUDEDIR=${PYTHON_INCLUDEDIR}